import { Pipe, PipeTransform } from '@angular/core';
import { BPMNFlow } from '../models/bpmn-flow';

@Pipe({
  name: 'flow'
})
export class FlowPipe implements PipeTransform {

  transform(flow: BPMNFlow, ...args: unknown[]): string {
    const flowElements = flow.flowElements.map(flowElement => {
      return flowElement.id;
    });;

    return flowElements.join(', ');
  }

}
